<?php

//need to include parent class to define the parent class
include "contact_info.php";

//To inherit from a class, simply add extends <class name>

/* a child class would automatically inherits all the class variables &
   class functions defined in the parent class. Therefore, business_contact_info has
   all the class variables & functions in the parent class contact_info   */
class business_contact_info extends contact_info
{
	//additional class variables only in this class
	var $company;
	var $title;
	
	/*Ovewriting the constructor function 
	To set a title for when creating a new business_contact
	*/
	public function business_contact_info($name, $title)
	{
		/* name is pass along over to the parent class contact_class
		then the title is set in the business_contact_info class. 
				
		To call a parent class's function, just use:
		[Parent ClassName]::[Parent class Function Name] (whatever parameter)
		*/
		
		contact_info::contact_info($name);
		
		$this->title = $title;
	}
	
	public function set_company($company)
	{
		$this->company = $company;
	}
	
	/* To prevent a child class from overwriting a parent class's function
	simply put "final" in the parent's function definition
	For example: to prevent overwrite of function print_contact_info()
	in parent class contact_info. define the function in parent class contact_info as:
	final function print_contact_info() ...
	*/
	
	/* overwriting a function */
	/* in PHP, to overwrite a function that is defined in parent class. 
	simply define a function with the same name in the child class. */	
	public function print_contact_info()
	{
		$output = "Name is: ".  $this->name ."<BR>". 
			       "Phone Number is: ". $this->phone_number. "<BR>". 
				   "Company name: ".$this->company. "<BR>".
				   "Title: ".$this->title. "<BR>".
				   "Note: ".$this->note;
				   
		return $output;
	}
	
} //end of class
?>